import request from '@/utils/request'

// 查询监测项管理列表
export function listPitElement(query) {
  return request({
    url: '/device/pitElement/list',
    method: 'get',
    params: query
  })
}

// 查询监测项管理详细
export function getPitElement(id) {
  return request({
    url: '/device/pitElement/' + id,
    method: 'get'
  })
}

// 新增监测项管理
export function addPitElement(data) {
  return request({
    url: '/device/pitElement',
    method: 'post',
    data: data
  })
}

// 修改监测项管理
export function updatePitElement(data) {
  return request({
    url: '/device/pitElement',
    method: 'put',
    data: data
  })
}

// 删除监测项管理
export function delPitElement(id) {
  return request({
    url: '/device/pitElement/' + id,
    method: 'delete'
  })
}
